#include "stdio.h" 
#include "stdlib.h"
#include "fcntl.h"
#include "gfal_api.h"


/* 
  Create a file on a SE
       It is required as input a SURL
*/


int main (int argc, char **argv)
{

int fd,cod_ex,i,br=0;
//char str[100];
int *write_values;
char *file_ref,*file_input,*vo,*dest_se,*lfn;
char *str = 0;
size_t size = 0;           


  if (argc < 2)  {
       printf("Argument file unspecified\n");
       printf("Usage : %s [surl]\n",argv[0]);
       exit (1);  
   }
  else
     file_ref=argv[1];
  
  /* Try opening in write mode */ 
  if ((fd = gfal_open(file_ref, O_WRONLY | O_CREAT, 0644)) < 0) {
      printf("Unable to open file %s for writing : \n",file_ref);
      perror("gfal_open");
      exit(1);
  }
  else {
      printf("File %s successfully opened\n",file_ref);  
  }

  /* prompt for something to be written */

  printf("Write something to be written in the file (max 90 char) \n>> ");
  getline(&str,&size,stdin);

  /* attempt to write it */

  if ((cod_ex = gfal_write(fd,str,strlen(str))) < 0 ) {
     perror("gfal_write");
     exit(1); 
  }
  else {
         printf ("size wrote= %d \n in file %s",cod_ex,file_ref);
  }
 
   if ((cod_ex = gfal_close(fd)) < 0) {
       perror ("gfal_close");
   }
   else
       printf ("File %s successfully closed\n",file_ref);

  exit(0);
}
